A Sandcastle Documented Class Library
A Sandcastle Documented Class Library
butterflow_ui
ButterflowWrapper Class
ButterflowWrapper Fields
consoleOutput Field
executablePath Field
interpreter Field
isRunning Field
progressPercentage Field
REGEX_DEVICE Field
REGEX_PROGRESS Field
REGEX_PROGRESS_ALT Field
REGEX_RATE Field
REGEX_RESOLUTION Field
runningProcess Field
runQueue Field

# ButterflowWrapper REGEX_DEVICE Field

The RegEx string for determining available processing devices in butterflow..

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.1.0.42906 (1.0.0.0)
Syntax
C#
Copy

    private const string REGEX_DEVICE = "\*\s*Device\s*(?<DeviceID>\d+)\s*\:\s*(?<DeviceName>(\w*\s*)*)"

#### Field Value

Type: String
See Also

#### Reference

ButterflowWrapper Class
butterflow_ui Namespace